using System.Text.Json.Serialization;

namespace XPrintServer.Api.Dto
{
    public class TaskRequestInfo
    {
        /// <summary>
        /// type:image,video
        /// </summary>
        [JsonPropertyName("task_type")]
        public string TaskType { get; set; } = string.Empty;

        [JsonPropertyName("action")]
        public string Action { get; set; } = string.Empty;

        [JsonPropertyName("task_id")]
        public string TaskId { get; set; } = string.Empty;
    }
}
